#  Build CRUD API with Deno

In this article, you'll learn how to implement CRUD (Create, Read, Update, and Delete) operations with DenoDB in Deno. The Deno CRUD API will run on an Oak middleware framework and store data in an SQLite database.

![Build CRUD API with Deno](https://codevoweb.com/wp-content/uploads/2022/11/Build-CRUD-API-with-Deno.webp)

## Topics Covered

- Run the Deno CRUD API Locally
- Run a React.js App with the Deno CRUD API
- Setup Deno
- Setup an SQLite Database with DenoDB
    - Connect the App to the Database
    - Create the Database Model
- Create the Request Validation Schemas
    - Create the Request Validation Schemas
    - Middleware to Validate the Request Bodies
- Add the CRUD Middleware Functions
    - CREATE Route Middleware
    - UPDATE Route Middleware
    - Single READ Route Middleware
    - Multiple READ Route Middleware
    - DELETE Route Middleware
- Create the CRUD Routes
- Register the CRUD Router
- Testing the Deno CRUD API
    - Create a New Record
    - Update a Record
    - Get a Single Record
    - Get Multiple Record
    - Delete a Record

Read the entire article here: [https://codevoweb.com/build-crud-api-with-deno/](https://codevoweb.com/build-crud-api-with-deno/)

